%define	xfontdir_	%{_datadir}/fonts/zh_CN
%define	xfontdir	%{xfontdir_}/TrueType
%define	gslibdir	%{_datadir}/ghostscript/%(echo `gs --version`)/lib
%define	gsver		7.05

Summary: TrueType Fonts -- GB ming and kai face and Zhongyi 18030 Song face.
Name:		ttfonts-zh_CN
Version:	2.12
Release: 6
License:	Distributable under Licenses
Group: User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root

Source0:	ftp://cle.linux.org.tw/pub/fonts/arphic/font/gbsn00lp.ttf
Source1:	ftp://cle.linux.org.tw/pub/fonts/arphic/font/gkai00mp.ttf
Source2:	arphicpl-gb.txt
Source3:	arphicpl.txt
Source4:	zysong.ttf.tar.bz2
Source5:	zhongyi-license.txt
Source10:	ttfonts-zh_CN.scale
Source11:	CIDFnmap.zh_CN

BuildPrereq:	XFree86-xfs
BuildRequires:	ghostscript >= %{gsver}
Requires:	ttmkfdir >= 3.0.6
PreReq:		/usr/sbin/chkfontpath, /usr/X11R6/bin/mkfontdir
Prereq:         fontconfig
Obsoletes:	ttf-arphic_gkai ttf-arphic_gming

%description
Chinese TTF Fonts from Arphic, Beijing Zhong Yi Electronics Co. 
Read license files for details.

%prep

%build
mkdir -p %{name}-%{PACKAGE_VERSION}/doc

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{xfontdir}
install -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{xfontdir}/
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{xfontdir}/
#install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{xfontdir}/
(cd $RPM_BUILD_ROOT%{xfontdir}/ && tar xvfj %{SOURCE4})
#install -m 0644 %{SOURCE10} $RPM_BUILD_ROOT%{xfontdir}/fonts.scale

# default font
pushd $RPM_BUILD_ROOT%{xfontdir_}
	ln -s TrueType/gbsn00lp.ttf default.font
	ln -s TrueType/gbsn00lp.ttf default-bold.font
popd

# for ghostscript
install -d $RPM_BUILD_ROOT%{gslibdir}
install -m 0644 %{SOURCE11} $RPM_BUILD_ROOT%{gslibdir}/

cp %{SOURCE2} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/
cp %{SOURCE3} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/
cp %{SOURCE5} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
{
  /usr/bin/ttmkfdir -d %{xfontdir} -o %{xfontdir}/fonts.scale
  /usr/X11R6/bin/mkfontdir %{xfontdir}
  /usr/sbin/chkfontpath -q -a %{xfontdir}

  #Update Gnome Fonts
  if [ -x /usr/bin/update-gnome-font-install ]; then
    /usr/bin/update-gnome-font-install
  fi
  if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
    /usr/bin/redhat-update-gnome-font-install2
  fi

  #Update fontconfig cache
  [ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache %{xfontdir}
}

%preun
if [ "$1" = 0 ];
then
	/usr/sbin/chkfontpath -q -r %{xfontdir}
fi

%postun
{
  /usr/bin/ttmkfdir -d %{xfontdir} -o %{xfontdir}/fonts.scale
  /usr/X11R6/bin/mkfontdir %{xfontdir}
  if [ "$1" = 0 ]; then
    /usr/sbin/chkfontpath -q -r %{xfontdir}
    #Update Gnome Fonts
    if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
        /usr/bin/redhat-update-gnome-font-install
    fi
    if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
        /usr/bin/redhat-update-gnome-font-install2
    fi

    #Update fontconfig cache
    [ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache %{xfontdir}
  fi
}


%files
%defattr(-, root, root)
%doc $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/arphicpl-gb.txt
%doc $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/arphicpl.txt
%doc $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/zhongyi-license.txt
%{xfontdir_}/default*.font
%attr(0755, root, root) %dir %{xfontdir_}
%attr(0755, root, root) %dir %{xfontdir}
%{xfontdir}/*ttf
%{gslibdir}/CIDFnmap.zh_CN

%changelog
* Wed Jul 9 2003 Yu Shao <yshao@redhat.com> 2.12-6
- rebuild

* Fri May 23 2003 Leon Ho <llch@redhat.com> 2.12-5
- add font to CIDFnmap for #71135

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 2.12-4
- rebuild with new ghostscript

* Thu Apr 10 2003 Akira TAGOH <tagoh@redhat.com> 2.12-3
- rebuild to install CIDFnmap to libdir of ghostscript 7.06.

* Tue Apr 01 2003 Akira TAGOH <tagoh@redhat.com> 2.12-2
- add CIDFnmap for ghostscript.

* Thu Jan 23 2003 Yu Shao <yshao@redhat.com> 2.12-1
- spec file update

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- rebuild in current collection instance

* Mon Sep 2 2002 Yu Shao <yshao@redhat.com> 2.11-29
- add 11*12 bitmap to zysong.ttf

* Mon Sep 2 2002 Yu Shao <yshao@redhat.com> 2.11-28
- get rid of RPM_BUILD_ROOT from post part

* Fri Aug 30 2002 Alexander Larsson <alexl@redhat.com> 2.11-27
- Call fc-cache from %%post, prereq fontconfig

* Fri Jul 26 2002 Yu Shao <yshao@redhat.com>
- upgraded to run redhat-update-gnome-font-install2 script

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Apr 17 2002 Yu Shao <yshao@redhat.com> 2.11-21
- included Zhongyi License file

* Fri Mar 29 2002 Yu Shao <yshao@redhat.com> 2.11-20
- included Zhongyi 18030 font 

* Fri Feb  8 2002 Mike A. Harris <mharris@redhat.com> 2.11-17
- Removed unnecessary macros from release/version tags in spec file so
  automated rebuilds can bump the release number properly.
- Added Prereq on mkfontdir to be /usr/sbin/chkfontpath, and added mkfontdir
  prereq too.
- Rebuild package in new environment removing the c from the release

* Wed Dec 05 2001 Yu Shao <yshao@redhat.com> 2.11-16c
- modified gb18030.2000-0 and gb18030.2000-1 entries

* Tue Dec 04 2001 Leon Ho <llch@redhat.com> 2.11-15c
- add update-gnome-font-install for gnome-print
- update GB18030 font

* Fri Nov 30 2001 Leon Ho <llch@redhat.com> 2.11-14c
- update GB18030 font

* Wed Nov 28 2001 Yu Shao <yshao@redhat.com> 2.11-9c
- added gb18030.2000-0 and gb18030.2000-1 entries for mozilla

* Fri Nov 16 2001 Leon Ho <llch@redhat.com> 2.11-8c
- define additional entries for GB18030

* Fri Nov 9 2001 Yu Shao <yshao@redaht.com> 2.11-6
- added gb18030 font

* Thu Aug 17 2001 Yukihiro Nakai <ynakai@redaht.com> 2.11-5
- BuildPreReq -> BuildPrereq to prevent 'imutable header region' error
  (#51895)

* Tue Jul 24 2001 Akira TAGOH <tagoh@redhat.com> 2.11-4
- Added default font for Nautilus.

* Sun Jul  8 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix the error at %%post

* Wed Jul  4 2001 Akira TAGOH <tagoh@redhat.com> 2.11-2
- use rpmmacros.
- added fonts.{scale,alias} files.
- fixed font path from /usr/share/fonts/ttf to /usr/share/fonts/zh_CN/TrueType.
- added chkfontpath stuff.

* Thu Jun 28 2001 Yukihiro Nakai <ynakai@redhat.com>
- Unify 2 GB fonts

* Wed Jun 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild for RHL 7.2

* Fri Jan 14 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- update 2.11

* Wed Jan 12 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- add PreReq to fix default font problem

* Wed Jan 05 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- change the license to docdir by using %docdir directive
- fix bug in %post and %preun script

* Tue Jan 04 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- first release

